Subject: bug#1420 closed by Chong Yidong <[email-masked]> (Re: annotate from log-view displays junk buffer)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1420: annotate from log-view displays junk buffer

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1420: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1420
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Mon Nov 24 13:21:15 2008
From: Chong Yidong <[email-masked]>
To: Per Cederqvist <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: annotate from log-view displays junk buffer
Date: Mon, 24 Nov 2008 16:21:32 -0500

> The cause seems to be that log-view-annotate-version expects
> vc-annotate to return the buffer.  But at least in Emacs 22.3,
> vc-annotate returns whatever the function message returns.  The
> following patch seems to fix the problem:

I fixed this with a change to log-view-annotate-version instead.  Thanks
for the bug report.

>From [email-masked] Mon Nov 24 08:07:11 2008
Date: Mon, 24 Nov 2008 12:39:46 +0100
From: Per Cederqvist <[email-masked]>
CC: [email-masked]
To: [email-masked]
Subject: annotate from log-view displays junk buffer

1. Open a version-controlled file.  (The one I used is maintained by
   Mercurial, but I don't think that matters.)

2. Bring up the log of revisions with "C-x v l" (vc-print-log).

3. Move to an interesting revision with TAB.

4. Press "a" to annotate that revision (log-view-annotate-version).
   The annotations are properly inserted in a buffer named "*Annotate
   slidegtk.py (rev 19)*", but that buffer is not displayed.  Instead,
   an empty buffer named "Annotating... done" is displayed.

The cause seems to be that log-view-annotate-version expects
vc-annotate to return the buffer.  But at least in Emacs 22.3,
vc-annotate returns whatever the function message returns.  The
following patch seems to fix the problem:

--- vc.el~	2008-11-24 12:25:24.857985150 +0100
+++ vc.el	2008-11-24 12:25:46.288999164 +0100
@@ -3223,7 +3223,8 @@
              display-mode)))
     (when current-line
       (goto-line current-line temp-buffer-name))
-    (message "Annotating... done")))
+    (message "Annotating... done")
+    temp-buffer-name))
 
 (defun vc-annotate-prev-version (prefix)
   "Visit the annotation of the version previous to this one.

In GNU Emacs 22.3.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2008-09-10 on yagi.ingate.se
Windowing system distributor `The X.Org Foundation', version 11.0.60802000
configured using `configure  '--prefix=/sw/emacs/22.3''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-x C-f s <tab> <return> C-x v l <tab> <tab> a M-x 
r e p o r t - e m a c s - b u g <return>

Recent messages:
Loading log-view...
Loading easy-mmode...done
Loading log-view...done
Annotating...
Loading help-mode...done
Redisplaying annotation...done
Annotating... done
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done